Getting Started with SAMreport-Lite [Getting Started with SAMreport-Lite: SAM]

Getting Started with SAMreport-Lite

SAMreport-Lite creates a customizable activity report summarizing usage statistics for Flexlm® network licenses. Getting Started with SAMreport-Lite provides a high-level overview of SAMreport-Lite's capabilities and provides instructions for installing the program.

Topics in this document:

  • Overview of SAMreport-Lite
  • Installing SAMreport-Lite
  • Upgrading to SAMreport
Comments?


Overview of SAMreport-Lite [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Getting Started with SAMreport-Lite
Overview of SAMreport-Lite

Using SAMreport-Lite, you can generate a network license-usage report, called "Usage Summary," for Autodesk software that uses FLEXlm licensing technology.

You can customize the Usage Summary report. For example, you can

  • Define the start and end dates for any reporting period covered by a log file.
  • Sort and summarize reports by feature, user name, or user host name.
  • Combine a number of log files into a single report.
  • Specify filters to generate a report about specific users or features.

You can save a Usage Summary report that you generate as an HTML, Text, or RIF (Report Interchange Format) file.

Note: SAMreport-Lite provides some of the features from SAMreport, the report-writing product made by GLOBEtrotter SoftwareTM. Autodesk (not GLOBEtrotter) provides support for SAMreport-Lite. If you have any support issues concerning SAMreport-Lite, use the same channels for support that you use for your Autodesk product.


System Requirements [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Overview of SAMreport-Lite
System Requirements

SAMreport-Lite is a Java-based application that requires the Java Runtime Environment (JRE). There are two versions of the JRE on your CD: one for English-based operating systems, and one for non-English-based operating systems. See Installing SAMreport-Lite for information about installing the JRE.

SAMreport-Lite runs best on systems with at least 64MB of memory. Running with less memory can slow performance when generating large reports.

SAMreport-Lite was designed for a display setting of 800 x 600 pixels or greater. Use Windows Control Panel to set your display settings.


Installing SAMreport-Lite [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Getting Started with SAMreport-Lite
Installing SAMreport-Lite

The SAMreport-Lite installation process consists of three steps:

  1. Obtain a license file.
  2. Install the Java Runtime Environment (JRE).

Note: There are two versions of the JRE: one for English-based operating systems, and one for non-English-based operating systems.

  3. Install SAMreport-Lite.

SAMreport-Lite runs only on the computer with the Host Name and Host ID for which it is licensed and authorized.

Topics in this section:

  • Obtaining a License Before You Install
  • Running the Installation Programs


Obtaining a License Before You Install [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Installing SAMreport-Lite
Obtaining a License Before You Install

You cannot install SAMreport-Lite until you receive a license file for the product. You are asked for the location of this file during installation. For a link to the GLOBEtrotter Software Web page where you can register SAMreport-Lite and request a license file, go to http://pointa.autodesk.com/gotoPointA.jsp?dest=nlmreport.

After you receive the license file, be sure to note where you saved the file and what you named it.


To install SAMreport-Lite [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Installing SAMreport-Lite
Running the Installation Programs

Once you've received a SAMreport-Lite license file, you can install the program. You are prompted for the location of the license file during the installation process.

SAMreport-Lite requires the Java Runtime Environment (JRE) for some of its processing. If you already have the Java JDK 1.2.2 or JRE 1.2.2 installed on your computer, you do not need to install the JRE supplied on the Autodesk CD.

To install SAMreport-Lite

  1. In Windows Explorer, open the Netsetup\support\AdLM\SAMreport-Lite folder on your Autodesk product CD.
  2. If the Java Runtime Environment is not already installed on your computer, double-click jre1_2_2-001-win.exe to install the JRE if your computer is running an English-based operating system. If your computer is running a non-English-based operating system, double-click jre1_2_2-007-win-i.exe.
  3. In the SAMreport-Lite folder, double-click SAMreport.exe to install SAMreport-Lite.

Note: The default installation path for SAMreport-Lite is C:\GSI\SAMreport. If you specify a different installation directory, make sure the path name does not include spaces (for example, don't specify a path named C:\Program Files\). The icons and bitmaps in the user interface are not displayed if SAMreport-Lite is installed in a directory whose path name contains spaces.


Using SAMreport-Lite [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Getting Started with SAMreport-Lite
Using SAMreport-Lite

Because SAMreport-Lite is a Java-based application, it does not have the look-and-feel of standard Windows applications. The topics in this section help you get started in producing your first report.

Topics in this section:

  • Generating a Report
  • Understanding the Usage Summary Report
  • Using the SAMreport Documentation


To generate the report [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Using SAMreport-Lite
Generating a Report

After starting SAMreport-Lite, you can quickly generate a report using the program's default settings. You must specify two items before you can generate the report:

  • The report log file or files containing your FLEXlm license usage data
  • The location for report output files

To specify a report log file

  1. In the SAMreport-Lite window, choose the Browse button.
  2. In the Report Log dialog box, locate and open your report log.

Note: By default, the Report Log dialog box lists only files named with a .rl file name extension. If your report log file has a different extension, such as .log, open the Files of Type list and select All Files to list all files in a folder.

To specify the location of report output files

  • In the SAMreport-Lite window, in the Output File box, specify the folder location and file name for your report output files.

Omit the file name extension when specifying a file name; the extension is automatically added to the name you supply based on the output formats you select. For example, if you select HTML and Text output formats and specify c:\my documents\report in Output File, the following report files are generated:

c:\my documents\report.html

c:\my documents\report.txt

Note: Be sure to specify the full path name for your output files. If you do not specify the path, output files are written to the current working directory, which may be the Windows desktop. Specifying a full path name ensures that your report files are saved in the folder you choose.

To generate the report

After specifying the report log files and the report output files, you can generate a report.

  • From the Report menu, choose Generate.

The report you specified is generated.


Understanding the Usage Summary Report [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Using SAMreport-Lite
Understanding the Usage Summary Report

The following table describes the contents of a SAMreport-Lite Usage Summary report:
Category | Column heading | Description
Available | max | Maximum number of available licenses, including any overdraft licenses
 | hours | Number of available hours of license usage
License Requests | total | Total number of license requests
 | iss | Number of licenses issued
 | que | Number of license requests queued
 | den | Number of license requests denied
 | unsup | Number of licenses not issued because the feature is unsupported
 | %den | Percent of denied license requests
Used | max | Maximum number of licenses used simultaneously, including any overdraft licenses
 | hours | Number of available license hours
 | %hrs | Percent of available license hours used

For further information about the Usage Summary report, refer to the SAMreport User's Guide published by GLOBEtrotter Software.


Using the SAMreport Documentation [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Using SAMreport-Lite
Using the SAMreport Documentation

Documentation for the full-featured version of SAMreportTM is included with SAMreport-Lite and produced by GLOBEtrotter Software. Because the documentation was produced for the full-featured product, it discusses some features that are not available in the SAMreport-Lite. The following SAMreport features are not available in SAMreport-Lite:

  • Report types other than Usage Summary
  • Saved report configurations
  • Specification of summary periods and breakdown categories
  • Report output in JPEG/HTML format
  • Filtered events
  • Advanced feature descriptions
  • Command-line report processing

SAMreport documentation is supplied in both HTML and PDF formats. After you install SAMreport-Lite, the following documents are available in your SAMreport folder:

  • SAMreport Demo Guide. A tutorial that guides you through many SAMreport features. To view the HTML version of this tutorial, open the SAMreport\htmlman folder, and then open index.html and click the SAMreport Demo Guide link. For the PDF version of the guide, open the SRDemoGuide.pdf file in the SAMreport\machind\doc folder.
  • SAMreport Users Guide. A guide that explains the features of SAMreport. To view the HTML version of this guide, open the SAMreport\htmlman folder, and then open index.html and click the SAMreport Users Guide link. For the PDF version of the guide, open the SRUsersGuide.pdf file in the SAMreport\machind\doc folder.


Upgrading to SAMreport [Getting Started with SAMreport-Lite: SAM]

Up a level to .. Getting Started with SAMreport-Lite
Upgrading to SAMreport

The full-featured SAMreport product provides additional types of reports and options, and includes additional features such as command-line batch processing. Upgrading to the full version of SAMreport does not require a new install, just a new license file. To learn about the full-featured version of SAMreport, go to the GLOBEtrotter Software Web site at http://www.globetrotter.com/.


Help Version Information


ANSWERWORKS

Powered by WexTech™ AnswerWorks®


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location:
Name (optional):
Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!


Query Tips

The following tips can help you get more useful results from your questions.

  • Filter your search by selecting only those documentation components that are likely to have the type of information you are looking for. Select a book or a set of books from the List of Documentation Components to Search.
  • Check your question for typographical errors. Important words may be ignored if they can't be recognized.
  • Write your query in the form of a question (How do I turn off dialog boxes?), or a phrase (turn off dialogs), or a keyword (dialogs). Each yields slightly different results.
  • Enter fewer words. Fewer words often produce better results.
    Example: maximum viewports returns a different list of topics than How do I increase the maximum displayable viewports?
  • Order your words differently. The order of words can affect your results.
    Example: maximum viewports is interpreted differently than viewports maximum.
  • Use different but similar words or terms in your question.
    Example: draw circles displays slightly different topics than create circles.
    Example: dialog boxes returns different results than dialogs.
  • Don't use punctuation characters. Use the Search tab if you need to search for terms that include any punctuation characters.
    Example: Entering file names such as acad.pat returns unreliable results.
  • Don't enter words that contain numbers.
    Example: Entering terms that include 3D returns unreliable results. You get better results if you spell out the term three dimensional.
  • Don't enter words that might be very commonly found in Help topics.
    Example: Entering drawing or line probably skews the results. Remove such words from your query or use more specific words.